﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title></title>
    <style>
        table {
            width: 100% !important;
            margin: 10px 339px 15px;
            font-size: 10px;
        }

        .otherchild {
            width: 10.8% !important;
        }

        .otherchild1 {
            width: 11.1% !important;
        }

        .otherchild2 {
            width: 11% !important;
        }

        thead {
            text-align: center;
        }

        .tableparent tr:nth-child(2) {
            background: rgb(212,227,232);
        }

        .first-child {
            width: 33% !important;
            text-align: center;
        }

        /*th {
            width: 107px;
        }

        td {
            width: 107px;
        }*/

        /*td:first-child, td:nth-child(3) {
            text-align: left;
        }*/

        th:hover {
            position: relative;
        }

        th[title]:hover:after {
            content: attr(title);
            padding: 4px 8px;
            position: absolute;
            left: 0;
            top: -60%;
            white-space: nowrap;
            z-index: 20px;
            color: white;
            background: black;
            border: 1px solid #333;
            border-radius: 5px;
            /*padding: 10px;*/
        }

        .tablesorter td {
            word-break: break-all;
        }

        #Sortdata {
            height: auto !important;
        }
    </style>

    <script type="text/javascript">
        $(document).ready(function () {
            var future1 = new Date();
            var future2 = new Date();

            $('#sidebarCollapse').on('click', function () {
                $(".coach-bar").toggleClass('hide');
                $(".leftsidebar").toggleClass('hide');
                $('#Tsidebar').toggleClass('active');
                $(this).toggleClass('active');
            });

            $.datetimepicker.setLocale('en');
            $('#datetimepickerFrom').datetimepicker({
                formatTime: 'H:i',
                formatDate: 'Y-m-d',//'d.m.Y',
                timepickerScrollbar: false,
                defaultDate: new Date(future1.setDate(future1.getDate() - 28))
            }
            );
            $('#datetimepickerTo').datetimepicker({
                formatTime: 'H:i',
                formatDate: 'Y-m-d',//'d.m.Y',
                timepickerScrollbar: false,
                defaultDate: new Date(future2.setDate(future2.getDate() - 28))
            });
        });
    </script>

    <script>
        $("#menu-toggle").click(function (e) {
            e.preventDefault();
            $("#wrapper").toggleClass("toggled");
        });
    </script>
    <style>
        .tablestripedChild td {
            width: 100%;
        }

        /*#wrapper {
            padding-right: 0;
            -webkit-transition: all 0.5s ease;
            -moz-transition: all 0.5s ease;
            -o-transition: all 0.5s ease;
            transition: all 0.5s ease;
        }

            #wrapper.toggled {
                padding-right: 250px;
            }

        #sidebar-wrapper {
            color: #fff;
            background: -webkit-linear-gradient(left, rgba(245,246,246,1) 15%,rgba(219,220,226,1) 61%,rgba(184,186,198,1) 91%,rgba(221,223,227,1) 98%,rgba(245,246,246,1) 100%);
            z-index: 1000;
            position: fixed;
            right: 295px;
            width: 0;
            height: 100%;
            margin-right: -295px;
            overflow-x: hidden;
            -webkit-transition: all 0.5s ease;
            -moz-transition: all 0.5s ease;
            -o-transition: all 0.5s ease;
            transition: all 0.5s ease;
        }

        #wrapper.toggled #sidebar-wrapper {
            width: 250px;
        }

        #page-content-wrapper {
            width: 100%;
            position: absolute;
            padding: 15px;
        }

        #wrapper.toggled #page-content-wrapper {
            position: absolute;
            margin-left: -250px;
        }
      
        .sidebar-nav {
            position: absolute;
            top: 0;
            width: 250px;
            margin: 0;
            padding: 0;
            list-style: none;
        }

            .sidebar-nav li {
                text-indent: 20px;
                line-height: 40px;
                padding-right: 17%;
            }

                .sidebar-nav li a {
                    display: block;
                    text-decoration: none;
                    color: #999999;
                }

                    .sidebar-nav li a:hover {
                        text-decoration: none;
                        color: #fff;
                        background: rgba(255, 255, 255, 0.2);
                    }

                    .sidebar-nav li a:active, .sidebar-nav li a:focus {
                        text-decoration: none;
                    }

            .sidebar-nav > .sidebar-brand {
                height: 65px;
                font-size: 18px;
                line-height: 60px;
            }

                .sidebar-nav > .sidebar-brand a {
                    color: #999999;
                }

                    .sidebar-nav > .sidebar-brand a:hover {
                        color: #fff;
                        background: none;
                    }*/


        /*@media(min-width:768px) {
            #wrapper {
                padding-right: 295px;
            }

                #wrapper.toggled {
                    padding-right: 0;
                }

            #sidebar-wrapper {
                width: 295px;
            }

            #wrapper.toggled #sidebar-wrapper {
                width: 0;
            }

            #page-content-wrapper {
                padding: 20px;
                position: relative;
            }

            #wrapper.toggled #page-content-wrapper {
                position: relative;
                margin-left: 0;
            }

            #btnclear, #btnapply {
                display: inline-block;
                vertical-align: top;
                border: 1px solid darkgrey;
                padding: 0%;
            }

            #btnclear {
                margin-right: 122px;
                margin-left: 13px;
            }

            

            .tablestripedChild td {
                width: 100%;
                padding: 10px
            }
        }*/
    </style>
</head>
<body>
    <div>
        <h4>Insights – Usage – System Use </h4>
        <hr />
        <div id="wrapper" ng-controller="SystemUseController">
            <!-- Sidebar -->
            <div id="sidebar-wrapper" >

                <form class="form-horizontal" name="myForm" role="form" toggled style="border: solid 1px #cecece;padding: 2px 5px;" ng-controller="SearchController">
                    <div class="sidebar-header">
                        <h4 style="color:#1F4E79;padding-left:10px">Filters:</h4>
                    </div>                    <div class="form-group">
                        <label for="inputName3" class="col-sm-4 control-label">User </label>
                        <div class="col-sm-8 input">
                            <input class="form-control" id="usertxt" ng-model="formInfo.Username">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-4 control-label">Manager</label>
                        <div class="col-sm-8 input">
                            <input class="form-control" id="managertxt" value="" ng-model="formInfo.Manager">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-4 control-label">Department</label>
                        <div class="col-sm-8 input">
                            <select ng-options="d for d in deplist" class="form-control" ng-model="formInfo.Dept">
                                <option value="">-- Select --</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-4 control-label">Role</label>
                        <div class="col-sm-8 input">
                            <select ng-options="r for r in rollist" class="form-control" ng-model="formInfo.Role">
                                <option value="">-- Select --</option>
                            </select>
                            <!--<p>Selected Book: <b>{{ selected }}</b></p>-->
                        </div>


                    </div>



                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-4 control-label">Aspiration</label>
                        <div class="col-sm-8 input">
                            <select ng-options="r for r in rollist" class="form-control" ng-model="formInfo.Aspr">
                                <option value="">-- Select --</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-4 control-label">Location</label>
                        <div class="col-sm-8 input">
                            <select ng-options="l for l in loclist" class="form-control" ng-model="formInfo.Loc">
                                <option value="">-- Select --</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-4 control-label">Date From</label>
                        <div class="col-sm-8 input">
                            <input id="datetimepickerFrom" class="form-control" autocomplete="off" type="text" ng-model="formInfo.frmDate" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-4 control-label">Date To</label>
                        <div class="col-sm-8 input">
                            <input id="datetimepickerTo" class="form-control" autocomplete="off" type="text" ng-model="formInfo.toDate" />
                        </div>
                    </div>


                    <div class="form-group">
                        <div class="btn-toolbar">
                            <button id="btnclear" type="reset" class="btn col-lg-3" ng-click="resetForm(formInfo);filterTable(formInfo);">Clear</button>
                            <button id="btnapply" type="button" class="btn col-lg-3" ng-click="filterTable(formInfo)">Apply</button>
                        </div>
                        <!--<input id="btnapply" value="Apply" ng-click="filterTable()" type="button" class="btn btn-basic" />
        <input id="btnclear" value="Clear" type="reset" class="btn btn-basic" ng-click="resetForm()" />-->
                    </div>
                    <!--<span>{{formInfo}}</span>-->
                </form>

            </div>
            <div id="page-content-wrapper">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-md-9"></div>
                        <div class="col-md-2">
                            <select name="Group By" class="form-control" id="Sortdata">
                                <option value="0">Group By</option>
                                <option value="1">Employee</option>
                                <option value="2">Role</option>
                                <option value="3">Manager</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <button href="#menu-toggle" type="button" style="margin:0px" id="menu-toggle" class="navbar-btn active">
                                <span></span>
                                <span></span>
                                <span></span>
                            </button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <nav class="" role="navigation">
                                <div class="container-fluid">
                                    <!-- Brand and toggle get grouped for better mobile display -->
                                    <div class="row">
                                        <div class="col-md-12">
                                            <table class="tableparent tablesorter" style="width:100%;margin:0px;" border="1"></table>
                                            <div id="systemuse" style="width:100%">
                                                <table id="myTable" class="tablesorter table-striped" border="1">
                                                    <thead>
                                                        <tr>
                                                            <th class="header" ng-click="sortBy('name')" title="Name">Name</th>
                                                            <th class="header" ng-click="sortBy('roleName')" title="Role">Role</th>
                                                            <th class="header" ng-click="sortBy('managerName')" title="Manager Name">Manager</th>
                                                            <th class="header" ng-click="sortBy('firstLogon')" title="1st Accessed">1st Accessed</th>
                                                            <th class="header" ng-click="sortBy('lastLogon')" title="Last Accessed">Last Accessed</th>
                                                            <th class="header" ng-click="sortBy('totalLogins')" title="Total Times Used">Total Times Used</th>
                                                            <th class="header" ng-click="sortBy('averageUsesPerWeek')" title="Avg. Uses Per Week">Avg. Uses Per Week</th>
                                                            <th class="header" ng-click="sortBy('averageTimeUsed')" title="Avg. Session Time">Avg. Session Time</th>
                                                            <th class="header" ng-click="sortBy('lastSessionDuration')" title="Last Session Time">Last Session Time</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr ng-repeat="tab in tableData | orderBy:propertyName:reverse">

                                                            <td class="string">
                                                                {{tab.name}}
                                                            </td>
                                                            <td class="string">
                                                                {{tab.roleName}}
                                                            </td>
                                                            <td class="string">
                                                                {{tab.managerName}}
                                                            </td>
                                                            <td class="string">
                                                                {{tab.firstLogon | mydate}}
                                                            </td>
                                                            <td class="string">
                                                                {{tab.lastLogon |mydate}}
                                                            </td>
                                                            <td>
                                                                {{tab.totalLogins}}
                                                            </td>
                                                            <td>
                                                                {{tab.averageUsesPerWeek.toFixed(2)}}
                                                            </td>
                                                            <td>
                                                                {{tab.averageTimeUsed | ConvertTime}}
                                                            </td>
                                                            <td>
                                                                {{tab.lastSessionDuration| ConvertTime}}
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                    <tfoot>
                                                        <tr class="grandtotal total">
                                                            <!--<td class="hide-right-border"></td>
                                                            <td class="hide-right-border"></td>
                                                            <td class="hide-right-border"></td>-->
                                                            <!--<td class="hide-right-border"></td>-->
                                                            <!--<td></td>-->
                                                            <td colspan="3" style="text-align:left">Summary of table :</td>
                                                            <td>{{Col5 }}</td>
                                                            <td>{{Col6 }}</td>
                                                            <td>{{Col1 }}</td>
                                                            <td>{{Col2 }}</td>
                                                            <td>{{Col3 }}</td>
                                                            <td>{{Col4 }}</td>
                                                        </tr>
                                                    </tfoot>
                                                </table>
                                                <div style="text-align:center">
                                                    <button id="btnLoadMore">Load More ... </button>
                                                    <button id="btnLoadAll">Load All</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </nav>
                        </div>
                    </div>
                    <!--<a href="#menu-toggle" class="btn btn-default" id="menu-toggle">-->
                    <!--</a>-->
                </div>
            </div>
            <!-- /#page-content-wrapper -->
        </div>
    </div>
</body>
</html>
